# List of Patches to apply to configure for an HTTP acme solver
# Kustomize JSON Patching: https://github.com/kubernetes-sigs/kustomize/blob/master/examples/jsonpatch.md

# Apply patch for `kind: ClusterIssuer`
# Sets the key "http01" to an ingress object for use with nginx.
- op: add
  path: /spec/acme/solvers
  value:
    - http01:
        ingress:
          class: "nginx"
